Bug 1738778 - Unable to setup softserve VM
Summary: Unable to setup softserve VM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-08 07:13 UTC by Ravishankar N
Modified: 2020-02-19 06:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 06:42:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ravishankar N 2019-08-08 07:13:45 UTC
Description of problem:
After creating a VM from https://softserve.gluster.org/dashboard, when I try to use https://github.com/gluster/softserve/wiki/Running-Regressions-on-loaned-Softserve-instances, it doesn't connect to the VM. This is not just me, I believe even Sac tried it out on his setup and saw the same issue today.

When I run `ansible-playbook -v -i inventory regressions-final.yml --become -u centos`, I get:

TASK [Gathering Facts] **********************************************************************************************************************************************************************************************************************
fatal: [builder555.cloud.gluster.org]: UNREACHABLE! => {"changed": false, "msg": "Failed to connect to the host via ssh: kex_exchange_identification: Connection closed by remote host", "unreachable": true}

PLAY RECAP **********************************************************************************************************************************************************************************************************************************
builder555.cloud.gluster.org : ok=0    changed=0    unreachable=1    failed=0    skipped=0    rescued=0    ignored=0

I believe this is an infra issue.

Comment 1 Deepshikha khandelwal 2019-08-08 10:43:44 UTC
It's working fine for me.

Comment 2 Ravishankar N 2019-08-08 11:08:14 UTC
I'm trying this on Fedora 30. Here is the verbose output if it helps. I can ssh into the VM as centos user just fine.
---------------------------------------------------------------------------------------------------------------------------------
fatal: [builder500.cloud.gluster.org]: UNREACHABLE! => {
    "changed": false,
    "msg": "Failed to connect to the host via ssh: OpenSSH_8.0p1, OpenSSL 1.1.1c FIPS  28 May 2019\r\ndebug1: Reading configuration data /home/ravi/.ssh/config\r\ndebug1: Reading configuration data /etc/ssh/ssh_config\r\ndebug3: /etc/ssh/ssh_config line 51: Including file /etc/ssh/ssh_config.d/05-redhat.conf depth 0\r\ndebug1: Reading configuration data /etc/ssh/ssh_config.d/05-redhat.conf\r\ndebug2: checking match for 'final all' host 18.219.69.93 originally 18.219.69.93\r\ndebug3: /etc/ssh/ssh_config.d/05-redhat.conf line 3: not matched 'final'\r\ndebug2: match not found\r\ndebug3: /etc/ssh/ssh_config.d/05-redhat.conf line 5: Including file /etc/crypto-policies/back-ends/openssh.config depth 1 (parse only)\r\ndebug1: Reading configuration data /etc/crypto-policies/back-ends/openssh.config\r\ndebug3: gss kex names ok: [gss-gex-sha1-,gss-group14-sha1-,gss-group1-sha1-]\r\ndebug3: kex names ok: [curve25519-sha256,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group14-sha256,diffie-hellman-group16-sha512,diffie-hellman-group18-sha512,diffie-hellman-group-exchange-sha1,diffie-hellman-group14-sha1,diffie-hellman-group1-sha1]\r\ndebug1: configuration requests final Match pass\r\ndebug2: resolve_canonicalize: hostname 18.219.69.93 is address\r\ndebug1: re-parsing configuration\r\ndebug1: Reading configuration data /home/ravi/.ssh/config\r\ndebug1: Reading configuration data /etc/ssh/ssh_config\r\ndebug3: /etc/ssh/ssh_config line 51: Including file /etc/ssh/ssh_config.d/05-redhat.conf depth 0\r\ndebug1: Reading configuration data /etc/ssh/ssh_config.d/05-redhat.conf\r\ndebug2: checking match for 'final all' host 18.219.69.93 originally 18.219.69.93\r\ndebug3: /etc/ssh/ssh_config.d/05-redhat.conf line 3: matched 'final'\r\ndebug2: match found\r\ndebug3: /etc/ssh/ssh_config.d/05-redhat.conf line 5: Including file /etc/crypto-policies/back-ends/openssh.config depth 1\r\ndebug1: Reading configuration data /etc/crypto-policies/back-ends/openssh.config\r\ndebug3: gss kex names ok: [gss-gex-sha1-,gss-group14-sha1-,gss-group1-sha1-]\r\ndebug3: kex names ok: [curve25519-sha256,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group14-sha256,diffie-hellman-group16-sha512,diffie-hellman-group18-sha512,diffie-hellman-group-exchange-sha1,diffie-hellman-group14-sha1,diffie-hellman-group1-sha1]\r\ndebug1: auto-mux: Trying existing master\r\ndebug1: Control socket \"/home/ravi/.ansible/cp/d35c8610b6\" does not exist\r\ndebug1: Executing proxy command: exec ssh -q -W 18.219.69.93:22 root@logs.aws.gluster.org\r\ndebug3: timeout: 10000 ms remain after connect\r\ndebug1: identity file /home/ravi/.ssh/id_rsa type 0\r\ndebug1: identity file /home/ravi/.ssh/id_rsa-cert type -1\r\ndebug1: identity file /home/ravi/.ssh/id_dsa type -1\r\ndebug1: identity file /home/ravi/.ssh/id_dsa-cert type -1\r\ndebug1: identity file /home/ravi/.ssh/id_ecdsa type -1\r\ndebug1: identity file /home/ravi/.ssh/id_ecdsa-cert type -1\r\ndebug1: identity file /home/ravi/.ssh/id_ed25519 type -1\r\ndebug1: identity file /home/ravi/.ssh/id_ed25519-cert type -1\r\ndebug1: identity file /home/ravi/.ssh/id_xmss type -1\r\ndebug1: identity file /home/ravi/.ssh/id_xmss-cert type -1\r\ndebug1: Local version string SSH-2.0-OpenSSH_8.0\r\nkex_exchange_identification: Connection closed by remote host",
    "unreachable": true
}

PLAY RECAP **********************************************************************************************************************************************************************************************************************************
builder500.cloud.gluster.org : ok=0    changed=0    unreachable=1    failed=0    skipped=0    rescued=0    ignored=0
---------------------------------------------------------------------------------------------------------------------------------

Comment 3 M. Scherer 2019-08-19 07:52:58 UTC
That is not a infra issue, the inventory is wrong:

https://github.com/gluster/softserve/blob/master/playbooks/inventory#L6

Regular non infra folks do not have access to that server to serve as a bastion.

Comment 4 Ravishankar N 2019-08-20 05:30:44 UTC
Deleting that line worked.


Note You need to log in before you can comment on or make changes to this bug.